use gilrs::{Button, Event, Gilrs};

fn main() {
    let mut gilrs = Gilrs::new().unwrap();

    // Iterate over all connected gamepads
    for (_id, gamepad) in gilrs.gamepads() {
        println!("{} is {:?}", gamepad.name(), gamepad.power_info());
    }

    let mut active_gamepad = None;

    loop {
        if active_gamepad.is_none() {
            active_gamepad = gilrs.next_event().map(|e| e.id);
        }

        let maybe_gamepad = active_gamepad.map(|id| gilrs.gamepad(id));
        maybe_gamepad.map(|gamepad| dbg!(gamepad.is_pressed(Button::South)));
    }
}
